## UfoGpuNode

UfoGpuNode

## Functions

UfoNode * | ufo_gpu_node_new ()
gpointer | ufo_gpu_node_get_cmd_queue ()
GValue * | ufo_gpu_node_get_info ()

## Types and Values

struct | UfoGpuNode
struct | UfoGpuNodeClass
enum | UfoGpuNodeInfo

## Object Hierarchy

        GObject
        ╰── UfoNode
            ╰── UfoGpuNode

## Description

## Functions

### ufo_gpu_node_new ()

    UfoNode *
    ufo_gpu_node_new (gpointer context,
                      gpointer device);

### ufo_gpu_node_get_cmd_queue ()

    gpointer
    ufo_gpu_node_get_cmd_queue (UfoGpuNode *node);

Get command queue associated with `node` .

#### Parameters

node | A UfoGpuNode |

#### Returns

A cl_command_queue object for `node` .

[transfer none]

### ufo_gpu_node_get_info ()

    GValue *
    ufo_gpu_node_get_info (UfoGpuNode *node,
                           UfoGpuNodeInfo info);

Return information about the associated OpenCL device.

#### Parameters

node | A UfoGpuNodeInfo |
info | Information to be queried |

#### Returns

Information about `info` .

[transfer full]

## Types and Values

### struct UfoGpuNode

    struct UfoGpuNode;

Main object for organizing filters. The contents of the UfoGpuNode structure are private and should only be accessed via the provided API.

### struct UfoGpuNodeClass

    struct UfoGpuNodeClass {
    };

UfoGpuNode class

### enum UfoGpuNodeInfo

OpenCL device info types. Refer to the OpenCL standard for complete details about each information.

#### Members

UFO_GPU_NODE_INFO_GLOBAL_MEM_SIZE | Global memory size |
UFO_GPU_NODE_INFO_MAX_MEM_ALLOC_SIZE | Maximum allocatable global memory size |
UFO_GPU_NODE_INFO_LOCAL_MEM_SIZE | Local memory size |
UFO_GPU_NODE_INFO_MAX_WORK_GROUP_SIZE | Maximum work group size |
UFO_GPU_NODE_INFO_NAME | Name of the associated device |